=== debian/control ===
Source: efl
Section: libs
Priority: optional
Maintainer: Debian Pkg-e Team <pkg-e-devel@lists.alioth.debian.org>
Uploaders: Albin Tonnerre <lutin@debian.org>
Build-Depends: dpkg-dev (>= 1.14.8), debhelper (>= 9), dh-autoreconf,
 pkg-config, check,
 zlib1g-dev, libjpeg-dev, libpng-dev, libtiff-dev, libgif-dev, libxpm-dev,
 libfreetype6-dev, libfontconfig1-dev,
 libx11-dev, x11proto-xext-dev, , libglu1-mesa-dev, mesa-common-dev,
 libfribidi-dev, libxrender-dev,
 libgl1-mesa-dev [!armel !armhf], libgles2-mesa-dev [armel armhf],
 libpixman-1-dev, libxcb-shm0-dev, libxcb-image0-dev, libxcb1-dev,
 libxcursor-dev, libxss-dev, libxrender-dev, libxinerama-dev,
 libxrandr-dev, libxext-dev, libxcomposite-dev, libxi-dev,
 libxdamage-dev, x11proto-xext-dev, libxtst-dev, libglib2.0-dev,
 liblua5.1-0-dev, libdbus-1-dev, libsndfile-dev,
 libgnutls28-dev, libcurl4-gnutls-dev, libc-ares-dev,
 libudev-dev [linux-any], libmount-dev [linux-any], libblkid-dev [linux-any],
 libgcrypt-dev
Build-Depends-Indep: doxygen
Standards-Version: 3.9.5
Vcs-Git: git://anonscm.debian.org/pkg-e/libs/efl.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-e/libs/efl.git
Homepage: http://www.enlightenment.org

# EINA

Package: libeina1
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: libeina0
Breaks: libeet1 (<= 1.4.0~beta+1.4.0)
Description: Enlightenment Foundation Library providing optimized data types
 Eina is a multi-platform library that provides optimized data types and a few
 tools. It supports the following data types:
  - Array
  - Hash Table
  - Double-linked list
  - Red-black tree
  - Shared string
  - Access Content types
    + Accessor: can access items of a container randomly
    + Iterator: can access items of a container sequentially

Package: libeina-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends}, libeina1 (= ${binary:Version}), pkg-config
Recommends: efl-doc
Description: Development files for libeina
 Eina is a multi-platform library that provides optimized data types and a few
 tools. It supports the following data types:
  - Array
  - Hash Table
  - Double-linked list
  - Red-black tree
  - Shared string
  - Access Content types
    + Accessor: can access items of a container randomly
    + Iterator: can access items of a container sequentially
 .
 This package contains headers and static libraries for development with
 libeina.

# EET

Package: libeet-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends}, libeet1 (= ${binary:Version}), pkg-config,
 libeina-dev (>= ${source:Upstream-Version}),
 libjpeg-dev, libgnutls28-dev
Recommends: efl-doc
Description: Enlightenment DR17 file chunk reading/writing library development files
 Eet is a tiny library designed to write an arbitrary set of chunks of data to a
 file and optionally compress each chunk (very much like a zip file) and allows
 fast random-access reading of the file later on. It does not do zip as zip
 itself has more complexity than needed, and it was much simpler to implement
 this once here.
 .
 This package contains headers and static libraries for development with libeet.

Package: libeet1
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Enlightenment DR17 file chunk reading/writing library
 Eet is a tiny library designed to write an arbitrary set of chunks of data to a
 file and optionally compress each chunk (very much like a zip file) and allows
 fast random-access reading of the file later on. It does not do zip as zip
 itself has more complexity than needed, and it was much simpler to implement
 this once here.
 .
 It's small, fast, and does a job. It's heavily commented and fully documented.

Package: libeet-bin
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Enlightenment DR17 file chunk reading/writing utility
 Eet is a tiny library designed to write an arbitrary set of chunks of data to a
 file and optionally compress each chunk (very much like a zip file) and allows
 fast random-access reading of the file later on. It does not do zip as zip
 itself has more complexity than needed, and it was much simpler to implement
 this once here.
 .
 This package contains eet, an utility that allows you to extract, insert,
 encode and decode config blobs created with libeet.

# EVAS

Package: libevas1
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}, libevas-loaders
Description: Enlightenment DR17 advanced canvas library
 Evas is an advanced canvas library, providing six engines for rendering: X11,
 OpenGL (hardware accelerated), DirectFB, the framebuffer, Microsoft Windows
 and Qtopia.
 .
 Due to its simple API, evas can be developed with rapidly, and cleanly.
 .
 This package contains the core library and a set of image loaders and/or savers
 for various formats: eet, gif, jpeg, png, svg, tiff and xpm

Package: libevas-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends}, libevas1 (= ${binary:Version}), pkg-config,
 libeina-dev (>= ${source:Upstream-Version}),
 libeet-dev  (>= ${source:Upstream-Version}),
 libjpeg-dev, libx11-dev, libfreetype6-dev, libfontconfig1-dev, libfribidi-dev
Suggests: efl-doc
Description: Enlightenment DR17 advanced canvas library development files
 Evas is an advanced canvas library, providing six engines for rendering: X11,
 OpenGL (hardware accelerated), DirectFB, the framebuffer, Microsoft Windows
 and Qtopia.
 .
 Due to its simple API, evas can be developed with rapidly, and cleanly.
 .
 This package provides headers and static libraries required to develop against
 evas.

Package: libevas1-engines-x
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: libevas-0.9.9.050a-engines
Replaces: libevas-engines, libevas-engines-extras
Provides: libevas1-engine-software-x11, libevas1-engine-gl-x11
Description: Evas module providing the X11 engines
 Evas is an advanced canvas library, providing six engines for rendering: X11,
 OpenGL (hardware accelerated), DirectFB, the framebuffer, Microsoft Windows
 and Qtopia.
 Due to its simple API, evas can be developed with rapidly, and cleanly.
 .
 This package contains the X11-related Evas engine modules:
  - GL/X11
  - Software/X11 (Xlib/XCB)

Package: libevas1-engine-fb
Architecture: linux-any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: libevas-0.9.9.050a-engines-extras
Replaces: libevas-engines-extras
Description: Evas module providing the Framebuffer engine
 Evas is an advanced canvas library, providing six engines for rendering: X11,
 OpenGL (hardware accelerated), DirectFB, the framebuffer, Microsoft Windows
 and Qtopia.
 Due to its simple API, evas can be developed with rapidly, and cleanly.
 .
 This package contains the framebuffer Evas engine module.

# ECORE

Package: libecore1
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Core abstraction layer for enlightenment DR 0.17
 This is the core event abstraction layer and X abstraction layer that makes
 doing selections, Xdnd, general X stuff, and event loops, timeouts and idle
 handlers fast, optimized, and convenient. It's a separate library so anyone
 can make use of the work put into Ecore to make this job easy for
 applications.

Package: libecore-con1
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Ecore Connection Library
 This is the core event abstraction layer and X abstraction layer that makes
 doing selections, Xdnd, general X stuff, and event loops, timeouts and idle
 handlers fast, optimized, and convenient. It's a separate library so anyone
 can make use of the work put into Ecore to make this job easy for
 applications.
 .
 This package contains the Ecore Connection Library.

Package: libecore-evas1
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Ecore Evas Wrapper Library
 This is the core event abstraction layer and X abstraction layer that makes
 doing selections, Xdnd, general X stuff, and event loops, timeouts and idle
 handlers fast, optimized, and convenient. It's a separate library so anyone
 can make use of the work put into Ecore to make this job easy for
 applications.
 .
 This package contains the Ecore Evas wrapper functions.

Package: libecore-fb1
Architecture: linux-any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Ecore frame buffer system functions
 This is the core event abstraction layer and X abstraction layer that makes
 doing selections, Xdnd, general X stuff, and event loops, timeouts and idle
 handlers fast, optimized, and convenient. It's a separate library so anyone
 can make use of the work put into Ecore to make this job easy for
 applications.
 .
 This package contains the Ecore frame buffer system functions.

Package: libecore-file1
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Ecore File Library
 This is the core event abstraction layer and X abstraction layer that makes
 doing selections, Xdnd, general X stuff, and event loops, timeouts and idle
 handlers fast, optimized, and convenient. It's a separate library so anyone
 can make use of the work put into Ecore to make this job easy for
 applications.
 .
 This package contains the Ecore File Library.

Package: libecore-imf1
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Ecore Input Method Framework module
 This is the core event abstraction layer and X abstraction layer that makes
 doing selections, Xdnd, general X stuff, and event loops, timeouts and idle
 handlers fast, optimized, and convenient. It's a separate library so anyone
 can make use of the work put into Ecore to make this job easy for
 applications.
 .
 This package contains the Ecore Input Method Framework module, and the Evas
 helper functions for it.

Package: libecore-input1
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Ecore input module
 This is the core event abstraction layer and X abstraction layer that makes
 doing selections, Xdnd, general X stuff, and event loops, timeouts and idle
 handlers fast, optimized, and convenient. It's a separate library so anyone
 can make use of the work put into Ecore to make this job easy for
 applications.
 .
 This package contains the Ecore input module.

Package: libecore-ipc1
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Ecore inter-process communication functions
 This is the core event abstraction layer and X abstraction layer that makes
 doing selections, Xdnd, general X stuff, and event loops, timeouts and idle
 handlers fast, optimized, and convenient. It's a separate library so anyone
 can make use of the work put into Ecore to make this job easy for
 applications.
 .
 This package contains the Ecore inter-process communication functions.

Package: libecore-x1
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Ecore functions for dealing with the X Window System
 This is the core event abstraction layer and X abstraction layer that makes
 doing selections, Xdnd, general X stuff, and event loops, timeouts and idle
 handlers fast, optimized, and convenient. It's a separate library so anyone
 can make use of the work put into Ecore to make this job easy for
 applications.
 .
 This package contains the Ecore wrapper and convenience functions for using
 the X Window System.
